#pragma once
#include "SFML/Graphics/RectangleShape.hpp"
#include "SFML/Graphics/RenderWindow.hpp"

class Meter {
private:
    sf::RectangleShape outline;
    sf::RectangleShape fillBar;
public:
    Meter(int x, int y, float w, float h, sf::Color color, float value = 0);

    void render(sf::RenderWindow& window) const;

    void setValue(float value);
};
